local LrPathUtils = import "LrPathUtils"
local LrDate = import "LrDate"
local LrDialogs = import "LrDialogs"
local LrTasks = import "LrTasks"

local LrPrefs = import "LrPrefs"
local LrFileUtils = import "LrFileUtils"
local LrStringUtils = import "LrStringUtils"
local LrLogger = import "LrLogger"
local LrSystemInfo = import "LrSystemInfo"
local LrApplication = import "LrApplication"

require "UpdateCheck.lua"

local prefs = LrPrefs.prefsForPlugin()

local vInfo = require("Info.lua")
local docPath = LrPathUtils.getStandardFilePath("documents") or LrPathUtils.getStandardFilePath("temp")
local LogPath = LrPathUtils.child(docPath,vInfo.logname .. ".log")
LrFileUtils.moveToTrash(LogPath)

local log = LrLogger(vInfo.logname)
log:enable("logfile")

local ThisVersion = vInfo.VERSION.major .. "." .. vInfo.VERSION.minor .. "." .. vInfo.VERSION.revision
log:trace("User: '" .. LrStringUtils.trimWhitespace(prefs.UserName or "") .. "'")
log:trace("Key : '" .. LrStringUtils.trimWhitespace(prefs.License or "") .. "'")
log:trace("LR Version : " .. LrApplication.versionTable().major)
log:trace("OS : " .. LrSystemInfo.osVersion())
log:trace("Plugin Version : " .. ThisVersion)

if _PLUGIN.enabled then
    local Now = LrDate.currentTime()

    LrTasks.startAsyncTask( function()
	    local prefs = LrPrefs.prefsForPlugin()
	    local LastCheck = prefs.LastUpdateCheck or 0

	    if (Now - LastCheck) / 604800 > 7 then
    --	if true then
		    -- It's been more than a week since the last check.
		    prefs.LastUpdateCheck = Now
	
		    UpdateCheck.UpdateCheck(false)
	    end
    end )
end
